## LassoSaSASLResponse LassoSaSASLResponse — <sa:SASLResponse> |

## Functions

LassoSaSASLResponse * | lasso_sa_sasl_response_new ()

## Types and Values

struct | LassoSaSASLResponse

## Description

Figure 131. Schema fragment for sa:SASLResponse

    <xs:element name="SASLResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="Status"/>
        <xs:element ref="PasswordTransforms" minOccurs="0"/>
        <xs:element name="Data" minOccurs="0">
        <xs:complexType>
          <xs:simpleContent>
            <xs:extension base="xs:base64Binary"/>
          </xs:simpleContent>
        </xs:complexType>
        </xs:element>
        <xs:element ref="disco:ResourceOffering" minOccurs="0" maxOccurs="unbounded"/>
        <xs:element name="Credentials" minOccurs="0">
        <xs:complexType>
          <xs:sequence>
            <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
          </xs:sequence>
        </xs:complexType>
        </xs:element>
      </xs:sequence>
      <xs:attribute name="serverMechanism" type="xs:string" ="optional"/>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
    </xs:complexType>
    </xs:element>

## Functions

### lasso_sa_sasl_response_new ()

    LassoSaSASLResponse *
    lasso_sa_sasl_response_new (LassoUtilityStatus *status);

## Types and Values

### struct LassoSaSASLResponse

    struct LassoSaSASLResponse {
    	LassoNode parent;

    	LassoUtilityStatus *Status;
    	GList *PasswordTransforms; /* of LassoNode */
    	GList *Data; /* of strings */
    	GList *ResourceOffering; /* of LassoNode */
    	GList *Credentials; /* of LassoNode */
    	GList *any; /* of LassoNode */

    	gchar *serverMechanism;
    	gchar *id;
    };